#Get this script's current path
$scriptRoot = Split-Path (Resolve-Path $myInvocation.MyCommand.Path)

#Get the location of the script and set it as the working folder
Set-Alias runPKGMGR_IIS $scriptRoot\runPKGMGR_IIS.ps1
Set-Alias Enable32bitModeWorkerProcess $scriptRoot\Enable32bitModeWorkerProcess.ps1 
Set-Alias AppPoolIdentAsAnonymousUser $scriptRoot\AppPoolIdentAsAnonymousUser.ps1
Set-Alias ConfigureDynamicIdleThreshold $scriptRoot\ConfigureDynamicIdleThreshold.ps1
Set-Alias ConfigureDynamicCompression $scriptRoot\ConfigureDynamicCompression.ps1
Set-Alias AddRemoveDefaultDoc $scriptRoot\AddRemoveDefaultDoc.ps1


# Install the file server and wait
runPKGMGR_IIS


$os = Get-WMIObject Win32_OperatingSystem
if ($env:Processor_Architecture -notlike "*x86*") { 

    #32-bit mode worker processes
    Enable32bitModeWorkerProcess
}


# App pool ident as Anonymous user
AppPoolIdentAsAnonymousUser

# Configure Dynamic Idle Threshold to 90%
ConfigureDynamicIdleThreshold

#Dynamic Compression
ConfigureDynamicCompression

#Default Documents
AddRemoveDefaultDoc




